function DATAinsert = cellMakerHD(IDcentralina,DTcatena,NodeNum,cHD,ListaDate,...
    ErrTiltLinkHD,ARRAYdateHD,X_HD,Y_HD,Z_HD,Xlocal_HD,Ylocal_HD,Zlocal_HD,...
    HShift_HD,HShift_local_HD,AlfaX_HD,AlfaY_HD,Azimuth_HD,tempHD,Speed_HD,...
    Speed_local_HD,Acceleration_HD,Acceleration_local_HD,ACCdefRisHD,MAGdefRisHD)

tempHD = tempHD';
l = ListaDate;
DATAinsert = cell(l,25);
ACCdefRisHD = ACCdefRisHD';
MAGdefRisHD = MAGdefRisHD';
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateHD(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateHD(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_HD(cHD,ii);
    DATAinsert{ii,7} = Y_HD(cHD,ii);
    DATAinsert{ii,8} = Z_HD(cHD,ii);
    DATAinsert{ii,9} = Xlocal_HD(cHD,ii);
    DATAinsert{ii,10} = Ylocal_HD(cHD,ii);
    DATAinsert{ii,11} = Zlocal_HD(cHD,ii);
    DATAinsert{ii,12} = HShift_HD(cHD,ii);
    DATAinsert{ii,13} = HShift_local_HD(cHD,ii);
    DATAinsert{ii,14} = Azimuth_HD(cHD,ii); 
    DATAinsert{ii,15} = tempHD(cHD,ii);
    DATAinsert{ii,16} = Speed_HD(cHD,ii);
    DATAinsert{ii,17} = Speed_local_HD(cHD,ii);
    DATAinsert{ii,18} = Acceleration_HD(cHD,ii);
    DATAinsert{ii,19} = Acceleration_local_HD(cHD,ii);
    DATAinsert{ii,20} = ErrTiltLinkHD(cHD,ii);
    DATAinsert{ii,21} = AlfaX_HD(cHD,ii);
    DATAinsert{ii,22} = AlfaY_HD(cHD,ii);
    DATAinsert{ii,23} = ACCdefRisHD(cHD,ii);
    DATAinsert{ii,24} = MAGdefRisHD(cHD,ii);
    DATAinsert{ii,25} = datestr(ARRAYdateHD(ii),'yyyy-mm-dd HH:MM:SS');
end

end